[packages/php-pear-MDB2_Driver_sqlite3] add get-source.sh script

glen glen at pld-linux.org
Sun Feb 27 22:52:41 CET 2022


commit c6dbe64e081ea9ad33e5ab719da773222b37b50b
Author: Elan Ruusamäe <glen at pld-linux.org>
Date:   Wed Jan 23 00:52:22 2013 +0200

    add get-source.sh script

 get-source.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
---
diff --git a/get-source.sh b/get-source.sh
new file mode 100755
index 0000000..1fe2058
--- /dev/null
+++ b/get-source.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+pkg=MDB2_Driver_sqlite3
+git=git://github.com/owncloud/core.git
+
+if [ ! -d $pkg ]; then
+	git clone $git $pkg
+else
+	cd $pkg
+	git pull
+	cd ..
+fi
+
+GIT_DIR=$pkg/.git git \
+	-c tar.tar.bz2.command="bzip2 -9c" \
+	archive --prefix=$pkg/MDB2/Driver/ \
+	master:lib/MDB2/Driver/ -o $pkg.tar.bz2
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/php-pear-MDB2_Driver_sqlite3.git/commitdiff/c6dbe64e081ea9ad33e5ab719da773222b37b50b



More information about the pld-cvs-commit mailing list